- Main Page
- Modules
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# BufferedOutputStream Class Reference

Inherits OutputStream.

List of all members.

## Detailed Description

Abstract class for writing to character streams.

## Public Member Functions
void | close (Pool &p)
void | flush (Pool &p)
void | write (ByteBuffer &buf, Pool &p)
## Protected Member Functions
| BufferedOutputStream (OutputStreamPtr &out, size_t size=4096)
| ~BufferedOutputStream ()

## Constructor & Destructor Documentation

BufferedOutputStream | ( | OutputStreamPtr & | out,
|  | size_t | size = `4096`
| ) | `[protected]`

~BufferedOutputStream | ( |  | ) | `[protected]`

## Member Function Documentation

void close | ( | Pool & | p | ) | `[virtual]`

| Implements OutputStream.

void flush | ( | Pool & | p | ) | `[virtual]`

| Implements OutputStream.

void write | ( | ByteBuffer & | buf,
|  | Pool & | p
| ) | `[virtual]`

| Implements OutputStream.

The documentation for this class was generated from the following file:

- bufferedoutputstream.h